> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Catalog Items



## OpenAPI

````yaml /openapi.json patch /v1/workspaces/{workspaceId}/catalog-items/{id}
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/catalog-items/{id}:
    patch:
      tags:
        - Catalog Items
      summary: Update Catalog Items
      operationId: CatalogItemsController_update_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
        - name: id
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateCatalogItemDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CatalogItemDto'
components:
  schemas:
    UpdateCatalogItemDto:
      type: object
      properties:
        name:
          type: string
          maxLength: 255
        columnsAttributes:
          type: object
          propertyNames:
            type: string
          additionalProperties: {}
        version:
          type: integer
          minimum: -9007199254740991
          maximum: 9007199254740991
        confirmRelease:
          type: boolean
      required:
        - version
      additionalProperties: false
    CatalogItemDto:
      type: object
      properties:
        id:
          type: string
        familyId:
          type: string
        name:
          type: string
        isPrimary:
          type: boolean
        columnsAttributes:
          type: object
          additionalProperties: true
        version:
          type: number
        createdAt:
          type: string
        updatedAt:
          type: string
        affectedParentFamilyIds:
          type: array
          items:
            type: string
        affectedProjectIds:
          type: array
          items:
            type: string
      required:
        - id
        - familyId
        - name
        - isPrimary
        - columnsAttributes
        - version
        - createdAt
        - updatedAt
        - affectedParentFamilyIds
        - affectedProjectIds

````